# CocoaSubdriver Class Reference

Generic display driver for cocoa On grounds to not duplicate some code, it contains a few variables which are not used by all device drivers. More...

`#include <cocoa_v.h>`

## Public Member Functions
virtual void | Draw (bool force_update=false)=0
virtual void | MakeDirty (int left, int top, int width, int height)=0
virtual void | UpdatePalette (uint first_color, uint num_colors)=0
virtual uint | ListModes (OTTD_Point *modes, uint max_modes)=0
virtual bool | ChangeResolution (int w, int h)=0
virtual bool | IsFullscreen ()=0
virtual int | GetWidth ()=0
virtual int | GetHeight ()=0
virtual void * | GetPixelBuffer ()=0
virtual CGPoint | PrivateLocalToCG (NSPoint *p)=0
virtual NSPoint | GetMouseLocation (NSEvent *event)=0
virtual bool | MouseIsInsideView (NSPoint *pt)=0
virtual bool | IsActive ()=0
virtual void | SetPortAlphaOpaque ()
virtual bool | WindowResized ()
## Data Fields
int | device_width
int | device_height
int | device_depth
int | window_width
int | window_height
int | window_pitch
int | buffer_depth
void * | pixel_buffer
void * | window_buffer
id | window
Rect | dirty_rects [MAX_DIRTY_RECTS]
int | num_dirty_rects
uint32 | palette [256]
bool | active
bool | setup
id | cocoaview
CGContextRef | cgcontext

## Detailed Description

Generic display driver for cocoa On grounds to not duplicate some code, it contains a few variables which are not used by all device drivers.

Definition at line 50 of file cocoa_v.h.

The documentation for this class was generated from the following file:

- src/video/cocoa/cocoa_v.h